Uploaded image for project: 'TrueNAS'
  1. TrueNAS
  2. NAS-104478

Fixes for spaces in jail names

    XMLWordPrintable

    Details

      Description

      My jails tab is empty and if i try to change jail location of open the plugin page i get the following error:

      cannot open 'Server': dataset does not exist

       

      more info...

      Error: Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 20, in run
          cp.check_returncode()
        File "/usr/local/lib/python3.7/subprocess.py", line 444, in check_returncode
          self.stderr)
      subprocess.CalledProcessError: Command '['zfs', 'get', '-H', '-o', 'property,value', 'all', 'Server']' returned non-zero exit status 1.

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 128, in call_method
          result = await self.middleware.call_method(self, message)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1113, in call_method
          return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 1075, in _call
          return await run_method(methodobj, *args)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 999, in _run_in_conn_threadpool
          return await self.run_in_executor(self.__ws_threadpool, method, *args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/main.py", line 987, in run_in_executor
          return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
        File "/usr/local/lib/python3.7/concurrent/futures/thread.py", line 57, in run
          result = self.fn(*self.args, **self.kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/schema.py", line 953, in nf
          return f(*args, **kwargs)
        File "/usr/local/lib/python3.7/site-packages/middlewared/plugins/jail.py", line 179, in query
          resource_list = iocage.list('all', plugin=True, plugin_data=True)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/iocage.py", line 1323, in list
          **kwargs
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_list.py", line 84, in list_datasets
          _all = self.list_all(ds)
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/ioc_list.py", line 197, in list_all
          mountpoint = jail.properties['mountpoint']
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/resource.py", line 23, in properties
          self.resource_name, self.zfs_resource
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 54, in properties
          resource_type, 'get', '-H', '-o', 'property,value', 'all', dataset
        File "/usr/local/lib/python3.7/site-packages/iocage_lib/zfs.py", line 22, in run
          raise ZFSException(cp.returncode, cp.stderr)
      iocage_lib.zfs.ZFSException: cannot open 'Server': dataset does not exist

        Attachments

          Attachments

            JEditor

              Activity

                People

                Assignee:
                waqar Waqar Ahmed
                Reporter:
                jrmbdl Jared Ryan
                Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                  Dates

                  Created:
                  Updated:
                  Resolved: